Skip to main content
`Ctrl`+`K`

# PetscDrawAxisCreate

Generate the axis data structure.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawAxisCreate(PetscDraw draw, PetscDrawAxis *axis)

Collective

## Input Parameter

- draw - `PetscDraw` object where axis to be made

## Output Parameter

- axis - the axis datastructure

## Note

The MPI communicator that owns the underlying draw object owns the `PetscDrawAxis` object, but calls to set `PetscDrawAxis` options are ignored by all processes except the first MPI rank in the communicator

## See Also

`PetscDrawLGCreate()`, `PetscDrawLG`, `PetscDrawSPCreate()`, `PetscDrawSP`, `PetscDrawHGCreate()`, `PetscDrawHG`, `PetscDrawBarCreate()`, `PetscDrawBar`, `PetscDrawLGGetAxis()`, `PetscDrawSPGetAxis()`, `PetscDrawHGGetAxis()`, `PetscDrawBarGetAxis()`, `PetscDrawAxis`, `PetscDrawAxisDestroy()`, `PetscDrawAxisSetColors()`, `PetscDrawAxisSetLabels()`, `PetscDrawAxisSetLimits()`, `PetscDrawAxisGetLimits()`, `PetscDrawAxisSetHoldLimits()`, `PetscDrawAxisDraw()`

## Level

advanced

## Location

src/sys/classes/draw/utils/axisc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages